libetonyek::IWORKChartInfoElement Class Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
libetonyek::IWORKChartInfoElement Class Reference

`#include <IWORKChartInfoElement.h>`

Inheritance diagram for libetonyek::IWORKChartInfoElement:

## Public Member Functions
| IWORKChartInfoElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Public Attributes
IWORKChart | m_chart

## Private Member Functions
void | attribute (int name, const char *value) override
void | startOfElement () override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKChartInfoElement()

libetonyek::IWORKChartInfoElement::IWORKChartInfoElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKChartInfoElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprivate

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKChartInfoElement::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKChartInfoElement::endOfElement | ( |  | ) |
| overrideprivate

## ◆ startOfElement()

void libetonyek::IWORKChartInfoElement::startOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_chart

IWORKChart libetonyek::IWORKChartInfoElement::m_chart

Referenced by attribute(), and element().

The documentation for this class was generated from the following files:

- IWORKChartInfoElement.h
- IWORKChartInfoElement.cpp